Skip to main content
GET
/
v1
/
rentals
curl 'https://gpuoutlet.ai/v1/rentals?status=running' --cookie "sid=$SID"
{
  "rentals": [
    {
      "id": "rent_01H...",
      "name": "my-finetune",
      "status": "running",
      "familyId": "rtx-4090",
      "gpuCount": 1,
      "pricePerHourCents": 65,
      "host": "123.45.67.89",
      "port": 22001,
      "region": "US-East",
      "startedAt": "2026-06-07T08:14:22Z",
      "stoppedAt": null,
      "totalChargedCents": 47
    }
  ],
  "nextCursor": null
}
status
string
Filter to one of: provisioning, running, stopping, stopped, failed. Omit for all statuses.
cursor
string
Pagination cursor from a previous nextCursor.
pageSize
number
default:"50"
Max 200.
rentals
array
Array of rental objects, newest first.
nextCursor
string | null
curl 'https://gpuoutlet.ai/v1/rentals?status=running' --cookie "sid=$SID"
{
  "rentals": [
    {
      "id": "rent_01H...",
      "name": "my-finetune",
      "status": "running",
      "familyId": "rtx-4090",
      "gpuCount": 1,
      "pricePerHourCents": 65,
      "host": "123.45.67.89",
      "port": 22001,
      "region": "US-East",
      "startedAt": "2026-06-07T08:14:22Z",
      "stoppedAt": null,
      "totalChargedCents": 47
    }
  ],
  "nextCursor": null
}